Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util
Class ReflectHelper

    java.lang.Object
      org.hibernate.util.ReflectHelper

    public final class ReflectHelper

extends Object

Method Summary
`static Class` | `classForName(String name)`
`static Class` | `classForName(String name, Class caller)`
`static Object` | `getConstantValue(String name)`
`static Constructor` | `getConstructor(Class clazz, Type[] types)`
`static Constructor` | `getDefaultConstructor(Class clazz)`
`static Getter` | `getGetter(Class theClass, String name)`
`static Method` | `getMethod(Class clazz, Method method)`
`static boolean` | `isAbstractClass(Class clazz)`
`static boolean` | `isFinalClass(Class clazz)`
`static boolean` | `isPublic(Class clazz, Member member)`
`static boolean` | `overridesEquals(Class clazz)`
`static boolean` | `overridesHashCode(Class clazz)`
`static Class` | `reflectedPropertyClass(String className, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### overridesEquals

    public static boolean overridesEquals(Class clazz)

### overridesHashCode

    public static boolean overridesHashCode(Class clazz)

### reflectedPropertyClass

    public static Class reflectedPropertyClass(String className,
                                               String name)
                                        throws MappingException

  Throws:
    `MappingException`

### getGetter

    public static Getter getGetter(Class theClass,
                                   String name)
                            throws MappingException

  Throws:
    `MappingException`

### classForName

    public static Class classForName(String name)
                              throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### classForName

    public static Class classForName(String name,
                                     Class caller)
                              throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### isPublic

    public static boolean isPublic(Class clazz,
                                   Member member)

### getConstantValue

    public static Object getConstantValue(String name)

### getDefaultConstructor

    public static Constructor getDefaultConstructor(Class clazz)
                                             throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### isAbstractClass

    public static boolean isAbstractClass(Class clazz)

### isFinalClass

    public static boolean isFinalClass(Class clazz)

### getConstructor

    public static Constructor getConstructor(Class clazz,
                                             Type[] types)
                                      throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getMethod

    public static Method getMethod(Class clazz,
                                   Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD